libmtp 1.1.23

Data Fields
LIBMTP_device_extension_struct Struct Reference
libmtp data structures

`#include <libmtp.h>`

## Data Fields
char * | name
int | major
int | minor
LIBMTP_device_extension_t * | next

## Detailed Description

MTP device extension holder struct

## Field Documentation

## ◆ major

int LIBMTP_device_extension_struct::major

Major revision of extension

Referenced by LIBMTP_Dump_Device_Info().

## ◆ minor

int LIBMTP_device_extension_struct::minor

Minor revision of extension

Referenced by LIBMTP_Dump_Device_Info().

## ◆ name

char* LIBMTP_device_extension_struct::name

Name of extension e.g. "foo.com"

Referenced by LIBMTP_Dump_Device_Info(), LIBMTP_Open_Raw_Device_Uncached(), and LIBMTP_Release_Device().

## ◆ next

LIBMTP_device_extension_t* LIBMTP_device_extension_struct::next

Pointer to the next extension or NULL if this is the last extension.

Referenced by LIBMTP_Dump_Device_Info(), LIBMTP_Open_Raw_Device_Uncached(), and LIBMTP_Release_Device().

The documentation for this struct was generated from the following file:

- libmtp.h